Loading...
Searching...
No Matches
_ImageInfo Struct Reference

## Data Fields

CompressionType | compression
OrientationType | orientation
MagickBooleanType | temporary
MagickBooleanType | adjoin
MagickBooleanType | affirm
MagickBooleanType | antialias
char * | size
char * | extract
char * | page
char * | scenes
size_t | scene
size_t | number_scenes
size_t | depth
InterlaceType | interlace
EndianType | endian
ResolutionType | units
size_t | quality
char * | sampling_factor
char * | server_name
char * | font
char * | texture
char * | density
double | pointsize
double | fuzz
PixelInfo | alpha_color
PixelInfo | background_color
PixelInfo | border_color
PixelInfo | transparent_color
MagickBooleanType | dither
MagickBooleanType | monochrome
ColorspaceType | colorspace
CompositeOperator | compose
ImageType | type
MagickBooleanType | ping
MagickBooleanType | verbose
ChannelType | channel
void * | options
void * | profile
MagickBooleanType | synchronize
MagickProgressMonitor | progress_monitor
void * | client_data
void * | cache
StreamHandler | stream
FILE * | file
void * | blob
size_t | length
char | magick [MagickPathExtent]
char | unique [MagickPathExtent]
char | filename [MagickPathExtent]
MagickBooleanType | debug
size_t | signature
CustomStreamInfo * | custom_stream
PixelInfo | matte_color

## Detailed Description

Definition at line 358 of file image.h.

## Field Documentation

## adjoin

MagickBooleanType _ImageInfo::adjoin

Definition at line 368 of file image.h.

## affirm

MagickBooleanType _ImageInfo::affirm

Definition at line 369 of file image.h.

## alpha_color

PixelInfo _ImageInfo::alpha_color

Definition at line 407 of file image.h.

## antialias

MagickBooleanType _ImageInfo::antialias

Definition at line 370 of file image.h.

## background_color

PixelInfo _ImageInfo::background_color

Definition at line 408 of file image.h.

## blob

void* _ImageInfo::blob

Definition at line 457 of file image.h.

## border_color

PixelInfo _ImageInfo::border_color

Definition at line 409 of file image.h.

## cache

void * _ImageInfo::cache

Definition at line 448 of file image.h.

## channel

ChannelType _ImageInfo::channel

Definition at line 432 of file image.h.

## client_data

void* _ImageInfo::client_data

Definition at line 447 of file image.h.

## colorspace

ColorspaceType _ImageInfo::colorspace

Definition at line 419 of file image.h.

## compose

CompositeOperator _ImageInfo::compose

Definition at line 422 of file image.h.

## compression

CompressionType _ImageInfo::compression

Definition at line 361 of file image.h.

## custom_stream

CustomStreamInfo* _ImageInfo::custom_stream

Definition at line 474 of file image.h.

## debug

MagickBooleanType _ImageInfo::debug

Definition at line 468 of file image.h.

## density

char * _ImageInfo::density

Definition at line 400 of file image.h.

## depth

size_t _ImageInfo::depth

Definition at line 381 of file image.h.

## dither

MagickBooleanType _ImageInfo::dither

Definition at line 415 of file image.h.

## endian

EndianType _ImageInfo::endian

Definition at line 387 of file image.h.

## extract

char * _ImageInfo::extract

Definition at line 374 of file image.h.

## file

FILE* _ImageInfo::file

Definition at line 454 of file image.h.

## filename

char _ImageInfo::filename[MagickPathExtent]

Definition at line 465 of file image.h.

## font

char * _ImageInfo::font

Definition at line 398 of file image.h.

## fuzz

double _ImageInfo::fuzz

Definition at line 404 of file image.h.

## interlace

InterlaceType _ImageInfo::interlace

Definition at line 384 of file image.h.

## length

size_t _ImageInfo::length

Definition at line 460 of file image.h.

## magick

char _ImageInfo::magick[MagickPathExtent]

Definition at line 463 of file image.h.

## matte_color

PixelInfo _ImageInfo::matte_color

Definition at line 477 of file image.h.

## monochrome

MagickBooleanType _ImageInfo::monochrome

Definition at line 416 of file image.h.

## number_scenes

size_t _ImageInfo::number_scenes

Definition at line 380 of file image.h.

## options

void* _ImageInfo::options

Definition at line 435 of file image.h.

## orientation

OrientationType _ImageInfo::orientation

Definition at line 364 of file image.h.

## page

char * _ImageInfo::page

Definition at line 375 of file image.h.

## ping

MagickBooleanType _ImageInfo::ping

Definition at line 428 of file image.h.

## pointsize

double _ImageInfo::pointsize

Definition at line 403 of file image.h.

## profile

void* _ImageInfo::profile

Definition at line 438 of file image.h.

## progress_monitor

MagickProgressMonitor _ImageInfo::progress_monitor

Definition at line 444 of file image.h.

## quality

size_t _ImageInfo::quality

Definition at line 393 of file image.h.

## sampling_factor

char* _ImageInfo::sampling_factor

Definition at line 396 of file image.h.

## scene

size_t _ImageInfo::scene

Definition at line 379 of file image.h.

## scenes

char * _ImageInfo::scenes

Definition at line 376 of file image.h.

## server_name

char * _ImageInfo::server_name

Definition at line 397 of file image.h.

## signature

size_t _ImageInfo::signature

Definition at line 471 of file image.h.

## size

char* _ImageInfo::size

Definition at line 373 of file image.h.

## stream

StreamHandler _ImageInfo::stream

Definition at line 451 of file image.h.

## synchronize

MagickBooleanType _ImageInfo::synchronize

Definition at line 441 of file image.h.

## temporary

MagickBooleanType _ImageInfo::temporary

Definition at line 367 of file image.h.

## texture

char * _ImageInfo::texture

Definition at line 399 of file image.h.

## transparent_color

PixelInfo _ImageInfo::transparent_color

Definition at line 410 of file image.h.

## type

ImageType _ImageInfo::type

Definition at line 425 of file image.h.

## unique

char _ImageInfo::unique[MagickPathExtent]

Definition at line 464 of file image.h.

## units

ResolutionType _ImageInfo::units

Definition at line 390 of file image.h.

## verbose

MagickBooleanType _ImageInfo::verbose

Definition at line 429 of file image.h.

The documentation for this struct was generated from the following file:

- /build/imagemagick-icbe39/imagemagick-7.1.2.3+dfsg1/MagickCore/image.h